Skip to main content
PATCH
/
v2
/
verifications
/
{id}
Update a verification
curl --request PATCH \
  --url https://api-sandbox.argyle.com/v2/verifications/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "loan": {
    "borrower_id": "5678"
  },
  "employments": [
    {
      "employer": "Starbucks",
      "status": "previous",
      "hire_date": "2015-08-28",
      "termination_date": "2023-05-01"
    },
    {
      "employer": "Amazon",
      "status": "active",
      "hire_date": "2023-06-15",
      "termination_date": null
    }
  ]
}
'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "created_at": "2023-03-09T16:22:06.081Z",
  "updated_at": "2023-03-09T16:22:06.081Z",
  "channel": "api",
  "status": {
    "state": "PROCESSING",
    "code": "documents_processing",
    "errors": []
  },
  "report": {
    "id": null,
    "type": "doc-voi-mortgage",
    "file_url": null,
    "json_url": null
  },
  "employments": [
    {
      "employer": "Starbucks",
      "status": "previous",
      "hire_date": "2015-08-28",
      "termination_date": "2023-05-01"
    },
    {
      "employer": "Amazon",
      "status": "active",
      "hire_date": "2023-06-15",
      "termination_date": null
    }
  ],
  "loan": {
    "number": "5678",
    "borrower_id": "ABC789",
    "application_id": "2121313",
    "officer_email": "[email protected]"
  },
  "billing": {
    "cost_center": "5"
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the verification to be updated.

Body

application/json

Request body for updating a verification.

  • loan.borrower_id can be updated at any time, regardless of verification status.
  • employments can only be updated when verification state is PAUSED.
  • Updating employments replaces the full employments array (PUT-like behavior).
loan
object
employments
object[]

Updated list of employments for the user.

Response

200 - application/json

Verification object.

id
string<uuid>

Unique ID of the verification.

user
string<uuid>

ID of the user associated with the verification.

created_at
string<date-time>

Timestamp (ISO 8601) when the verification was requested.

updated_at
string<date-time>

Timestamp (ISO 8601) when the verification object was last updated.

channel
string

Origin of the verification order.

status
object

Verification status information.

report
object

Report information.

employments
object[]

List of employments for the user.

loan
object

Optional loan details.

billing
object

Optional billing details.